"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveStorageDriveBucketName = exports.resolveCrossServiceDriveName = void 0;
const awsNamingUtils_1 = require("../../../../awsNamingUtils");
const resolveCrossServiceDriveName = (drive) => {
    if (typeof drive === 'string') {
        return {
            name: drive,
        };
    }
    return drive;
};
exports.resolveCrossServiceDriveName = resolveCrossServiceDriveName;
const resolveStorageDriveBucketName = (drive, qpqConfig) => {
    const xServiceDriveName = (0, exports.resolveCrossServiceDriveName)(drive);
    return (0, awsNamingUtils_1.getConfigRuntimeResourceNameFromConfigWithServiceOverride)(xServiceDriveName.name, qpqConfig, xServiceDriveName.service);
};
exports.resolveStorageDriveBucketName = resolveStorageDriveBucketName;
